Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Editable

All Superinterfaces:
  Document, EditableItem, Item, Localized, WCMApiObject

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentPrototype, EditableLibraryComponent, Folder, HierarchicalPrototype, HierarchicalTemplate, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPersonalizationComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTextComponent, LibraryUserSelectionComponent, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Taxonomy, Workflow, WorkflowStage

    public interface Editable

extends Document, EditableItem

Defines the behaviour for editable objects within the API.

Editable objects may have their attributes set and changed.

Passing a `null` argument to a method of this interface will result in a `NullPointerException`, unless stated otherwise.

A successful call to methods in this interface other than `isChanged()` will result in a call to `isChanged()` returning `true`.

Method Summary
`void` | `addAuthors(java.lang.String[] authors)` Adds each author specified in the string array argument to the authors of this `Editable` object.
`void` | `addContributorAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead
`void` | `addDeleteAccessMembers(java.lang.String[] members)` Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.MANAGER)
`void` | `addEditAccessMembers(java.lang.String[] members)` Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.EDITOR)
`void` | `addEditorAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead
`void` | `addHistoryLogEntry(java.lang.String message)` Adds a entry to the History log of this `Editable` object.
`void` | `addLiveAccessMembers(java.lang.String[] members)` Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.USER)
`void` | `addManagerAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead
`void` | `addMembersForAccess(Access access, java.lang.String[] members)` Adds each name specified in the string array argument to the members of the specified Access to this `Editable` object.
`void` | `addOwners(java.lang.String[] owners)` Adds each owner specified in the string array argument to the owners of this `Editable` object.
`void` | `addReadAccessMembers(java.lang.String[] members)` Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.CONTRIBUTOR)
`void` | `addUserAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead
`boolean` | `isChanged()` Returns the value of the changed flag.
`void` | `removeAuthors(java.lang.String[] authors)` Removes each author specified in the string array argument from the authors of this `Editable` object.
`void` | `removeContributorAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead
`void` | `removeDeleteAccessMembers(java.lang.String[] members)` Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.MANAGER)
`void` | `removeEditAccessMembers(java.lang.String[] members)` Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.EDITOR)
`void` | `removeEditorAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead
`void` | `removeLiveAccessMembers(java.lang.String[] members)` Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.USER)
`void` | `removeManagerAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead
`void` | `removeMembersForAccess(Access access, java.lang.String[] members)` Removes each name specified in the string array argument from the members of the specified Access level of this `Editable` object.
`void` | `removeOwners(java.lang.String[] owners)` Removes each owner specified in the string array argument from the owners of this `Editable` object.
`void` | `removeReadAccessMembers(java.lang.String[] members)` Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.CONTRIBUTOR)
`void` | `removeUserAccessMembers(java.lang.String[] members)` Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead
`void` | `setContributorAccessInheritance(boolean inheritContributors)` Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead
`void` | `setDescriptionTextProviderKey(java.lang.String key)` Set the text provider key for the description of this item.
`void` | `setDescriptionTextProviderName(java.lang.String name)` Set the text provider name for the description of this item.
`void` | `setEditorAccessInheritance(boolean inheritEditors)` Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead
`void` | `setInheritance(Access access, boolean inheritedAccess)` Sets if the `Access` permissions will be inherited from the parent of this `Document`.
`void` | `setManagerAccessInheritance(boolean inheritManagers)` Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead
`void` | `setPropagation(Access access, boolean propagateAccess)` Sets if the `Access` permissions will be propagated to the children of this `Document`.
`void` | `setTitleTextProviderKey(java.lang.String key)` Set the text provider key for the title of this item.
`void` | `setTitleTextProviderName(java.lang.String name)` Set the text provider name for the title of this item.
`void` | `setUserAccessInheritance(boolean inheritUsers)` Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Method Detail

### isChanged

    boolean isChanged()

  Returns the value of the changed flag.

  An `Editable` object is deemed to have changed if one or more attributes have been modified since it was last saved.

  Returns:
    `true` if at least one attribute of this `Editable` object has changed; `false` otherwise

### setTitleTextProviderName

    void setTitleTextProviderName(java.lang.String name)

  Set the text provider name for the title of this item. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `name` - the text provider name for the title

### setTitleTextProviderKey

    void setTitleTextProviderKey(java.lang.String key)

  Set the text provider key for the title of this item. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `key` - the text provider key for the title

### setDescriptionTextProviderName

    void setDescriptionTextProviderName(java.lang.String name)

  Set the text provider name for the description of this item. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `name` - the text provider name for the description

### setDescriptionTextProviderKey

    void setDescriptionTextProviderKey(java.lang.String key)

  Set the text provider key for the description of this item. Note: This operation is not supported for `PortalPage`.

  Parameters:
    `key` - the text provider key for the description

### addAuthors

    void addAuthors(java.lang.String[] authors)

  Adds each author specified in the string array argument to the authors of this `Editable` object.

  An author is only added if the element in the string array argument can be converted to a valid member.

  Note: Each author of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `authors` - the authors to add

### removeAuthors

    void removeAuthors(java.lang.String[] authors)

  Removes each author specified in the string array argument from the authors of this `Editable` object.

  An author is only removed if the element in the string array argument can be converted to a valid member and is already an author on this `Editable` object.

  Parameters:
    `authors` - the authors names to remove

### addOwners

    void addOwners(java.lang.String[] owners)

  Adds each owner specified in the string array argument to the owners of this `Editable` object.

  An owner is only added if the element in the string array argument can be converted to a valid member.

  Note: Each owner of this `Editable` object must be unique. I.e. Duplicates are removed.

  Note: `PortalPage`s can only have a single owner, so adding an owner to a `PortalPage` that already has an owner will cause the existing owner to be replaced. Attempting to add multiple owners at once will cause an `IllegalArgumentException`

  Parameters:
    `owners` - the owners to add
  Throws:
    `java.lang.IllegalArgumentException` - If the array has length greater than 1 and this `Editable` is a `PortalPage`.

### removeOwners

    void removeOwners(java.lang.String[] owners)

  Removes each owner specified in the string array argument from the owners of this `Editable` object.

  An owner is only removed if the element in the string array argument can be converted to a valid member and is already an owner on this `Editable` object.

  Parameters:
    `owners` - the owners names to remove

### addLiveAccessMembers

    void addLiveAccessMembers(java.lang.String[] members)

  Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.USER)

  Adds each name specified in the string array argument to the members who have Live access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Live access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Live access

### addReadAccessMembers

    void addReadAccessMembers(java.lang.String[] members)

  Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.CONTRIBUTOR)

  Adds each name specified in the string array argument to the members who have Read access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Read access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Read access

### addEditAccessMembers

    void addEditAccessMembers(java.lang.String[] members)

  Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.EDITOR)

  Adds each name specified in the string array argument to the members who have Edit access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Edit access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Edit access

### addDeleteAccessMembers

    void addDeleteAccessMembers(java.lang.String[] members)

  Deprecated. Use `addMembersForAccess(Access, String[])` instead (using Access.MANAGER)

  Adds each name specified in the string array argument to the members who have Delete access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Delete access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Delete access

### addUserAccessMembers

    void addUserAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead

  Adds each name specified in the string array argument to the members who have User access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each User access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to User access

### addContributorAccessMembers

    void addContributorAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead

  Adds each name specified in the string array argument to the members who have Contributor access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Contributor access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Contributor access

### addEditorAccessMembers

    void addEditorAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead

  Adds each name specified in the string array argument to the members who have Editor access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Editor access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Editor access

### addManagerAccessMembers

    void addManagerAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `addMembersForAccess(Access, String[])` instead

  Adds each name specified in the string array argument to the members who have Manager access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Manager access member of this `Editable` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `members` - the names of members to add to Manager access

### addMembersForAccess

    void addMembersForAccess(Access access,
                             java.lang.String[] members)

  Adds each name specified in the string array argument to the members of the specified Access to this `Editable` object.

  A name is only added if the element in the string array argument can be converted to a valid member.

  Note: Each Access member of this `Document` object must be unique. I.e. Duplicates are removed.

  Parameters:
    `access` - the access to add the members to
    `members` - the names of members to add
  Since:
    8.5

### removeLiveAccessMembers

    void removeLiveAccessMembers(java.lang.String[] members)

  Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.USER)

  Removes each name specified in the string array argument from the members who have Live access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Live access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Live access

### removeReadAccessMembers

    void removeReadAccessMembers(java.lang.String[] members)

  Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.CONTRIBUTOR)

  Removes each name specified in the string array argument from the members who have Read access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Read access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Read access

### removeEditAccessMembers

    void removeEditAccessMembers(java.lang.String[] members)

  Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.EDITOR)

  Removes each name specified in the string array argument from the members who have Edit access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Edit access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Edit access

### removeDeleteAccessMembers

    void removeDeleteAccessMembers(java.lang.String[] members)

  Deprecated. Use `removeMembersForAccess(Access, String[])` instead (using Access.MANAGER)

  Removes each name specified in the string array argument from the members who have Delete access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Delete access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Delete access

### removeUserAccessMembers

    void removeUserAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead

  Removes each name specified in the string array argument from the members who have User access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has User access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from User access

### removeContributorAccessMembers

    void removeContributorAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead

  Removes each name specified in the string array argument from the members who have Contributor access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Contributor access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Contributor access

### removeEditorAccessMembers

    void removeEditorAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead

  Removes each name specified in the string array argument from the members who have Editor access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Editor access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Editor access

### removeManagerAccessMembers

    void removeManagerAccessMembers(java.lang.String[] members)

  Deprecated. since 8.5 Use `removeMembersForAccess(Access, String[])` instead

  Removes each name specified in the string array argument from the members who have Manager access to this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Manager access to this `Editable` object.

  Parameters:
    `members` - the names of members to remove from Manager access

### removeMembersForAccess

    void removeMembersForAccess(Access access,
                                java.lang.String[] members)

  Removes each name specified in the string array argument from the members of the specified Access level of this `Editable` object.

  A name is only removed if the element in the string array argument can be converted to a valid member and already has Access to this `Editable` object.

  Parameters:
    `access` - the access to remove the members from
    `members` - the names of members to remove
  Since:
    8.5

### addHistoryLogEntry

    void addHistoryLogEntry(java.lang.String message)

  Adds a entry to the History log of this `Editable` object.

  The new History Log Entry will be created using the current API workspace user

  Parameters:
    `message` - The message to add to the log.

### setUserAccessInheritance

    void setUserAccessInheritance(boolean inheritUsers)

  Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead

  Sets if the `User` access permissions will be inherited from the parent of this `Document`.

  Parameters:
    `inheritUsers` - `true` to set user access permissions to be inherited, or `false` to block inheritance of permissions from the parent.

### setContributorAccessInheritance

    void setContributorAccessInheritance(boolean inheritContributors)

  Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead

  Sets if the `Contributor` access permissions will be inherited from the parent of this `Document`.

  Parameters:
    `inheritContributors` - `true` to set contributor access permissions to be inherited, or `false` to block inheritance of permissions from the parent.

### setEditorAccessInheritance

    void setEditorAccessInheritance(boolean inheritEditors)

  Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead

  Sets if the `Editor` access permissions will be inherited from the parent of this `Document`.

  Parameters:
    `inheritEditors` - `true` to set editor access permissions to be inherited, or `false` to block inheritance of permissions from the parent.

### setManagerAccessInheritance

    void setManagerAccessInheritance(boolean inheritManagers)

  Deprecated. since 8.5 Use `setInheritance(Access, boolean)` instead

  Sets if the `Manager` access permissions will be inherited from the parent of this `Document`.

  Parameters:
    `inheritManagers` - `true` to set manager access permissions to be inherited, or `false` to block inheritance of permissions from the parent.

### setInheritance

    void setInheritance(Access access,
                        boolean inheritedAccess)

  Sets if the `Access` permissions will be inherited from the parent of this `Document`.

  Parameters:
    `access` - the access to set the inheritance setting for.
    `inheritedAccess` - `true` to set access permissions to be inherited, or `false` to block inheriting of permissions.
  Since:
    8.5

### setPropagation

    void setPropagation(Access access,
                        boolean propagateAccess)

  Sets if the `Access` permissions will be propagated to the children of this `Document`.

  Parameters:
    `access` - the access to set the propagation setting for.
    `propagateAccess` - `true` to set access permissions to be propagated, or `false` to block Propagation of permissions.
  Since:
    8.5

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD